Index: udev-146/libudev-mm/libudev-mm.c
===================================================================
--- udev-146.orig/libudev-mm/libudev-mm.c
+++ udev-146/libudev-mm/libudev-mm.c
@@ -63,7 +63,7 @@ static void log_stderr(struct udev *udev
 		       int priority, const char *file, int line, const char *fn,
 		       const char *format, va_list args)
 {
-	fprintf(stderr, "libudev: %s: ", fn);
+	fprintf(stderr, "libudev-mm: %s: ", fn);
 	vfprintf(stderr, format, args);
 }
 
Index: udev-146/Makefile.am
===================================================================
--- udev-146.orig/Makefile.am
+++ udev-146/Makefile.am
@@ -88,8 +88,7 @@ libudev_mm_libudev_mm_la_SOURCES =\
 	libudev-mm/libudev-mm-util.c \
 	libudev-mm/libudev-mm-device.c \
 	libudev-mm/libudev-mm-enumerate.c \
-	libudev-mm/libudev-mm-monitor.c \
-	libudev-mm/libudev-mm-queue.c
+	libudev-mm/libudev-mm-monitor.c
 
 LIBUDEV_CURRENT=5
 LIBUDEV_REVISION=0
@@ -98,22 +97,10 @@ libudev_mm_libudev_mm_la_LDFLAGS = \
 	-version-info $(LIBUDEV_CURRENT):$(LIBUDEV_REVISION):$(LIBUDEV_AGE) \
 	-export-symbols $(top_srcdir)/libudev-mm/exported_symbols
 
-noinst_LTLIBRARIES = \
-	libudev-mm/libudev-mm-private.la
-
-libudev_mm_libudev_mm_private_la_SOURCES =\
-	$(libudev_mm_libudev_mm_la_SOURCES) \
-	libudev-mm/libudev-mm-ctrl.c \
-	libudev-mm/libudev-mm-util-private.c \
-	libudev-mm/libudev-mm-device-private.c \
-	libudev-mm/libudev-mm-queue-private.c
-
-libudev_mm_libudev_mm_private_la_LIBADD =
-
 pkgconfigdir = $(libdir)/pkgconfig
 pkgconfig_DATA = libudev-mm/libudev-mm.pc
 
-extras_gudev_libgudev_1_0_la_SOURCES = \
+extras_gudev_libgudev_mm_1_0_la_SOURCES = \
 	extras/gudev/gudevenums.h \
 	extras/gudev/gudevenumtypes.h \
 	extras/gudev/gudevenumtypes.h\
@@ -124,13 +111,13 @@ extras_gudev_libgudev_1_0_la_SOURCES = \
 	extras/gudev/gudevdevice.c \
 	extras/gudev/gudevprivate.h
 
-dist_extras_gudev_libgudev_1_0_la_SOURCES = \
+dist_extras_gudev_libgudev_mm_1_0_la_SOURCES = \
 	extras/gudev/gudevmarshal.h \
 	extras/gudev/gudevmarshal.c \
 	extras/gudev/gudevenumtypes.h \
 	extras/gudev/gudevenumtypes.c
 
-extras_gudev_libgudev_1_0_la_CPPFLAGS = \
+extras_gudev_libgudev_mm_1_0_la_CPPFLAGS = \
 	$(AM_CPPFLAGS) \
 	-I$(top_builddir)/extras \
 	-I$(top_srcdir)/extras \
@@ -140,14 +127,14 @@ extras_gudev_libgudev_1_0_la_CPPFLAGS =
 	-D_GUDEV_COMPILATION \
 	-DG_UDEV_API_IS_SUBJECT_TO_CHANGE \
 	-DG_LOG_DOMAIN=\"GUdev\"
-extras_gudev_libgudev_1_0_la_CFLAGS = $(GLIB_CFLAGS)
-extras_gudev_libgudev_1_0_la_LIBADD = libudev-mm/libudev-mm.la $(GLIB_LIBS)
+extras_gudev_libgudev_mm_1_0_la_CFLAGS = $(GLIB_CFLAGS)
+extras_gudev_libgudev_mm_1_0_la_LIBADD = libudev-mm/libudev-mm.la $(GLIB_LIBS)
 
 LIBGUDEV_CURRENT=0
 LIBGUDEV_REVISION=1
 LIBGUDEV_AGE=0
 
-extras_gudev_libgudev_1_0_la_LDFLAGS = \
+extras_gudev_libgudev_mm_1_0_la_LDFLAGS = \
 	-version-info $(LIBGUDEV_CURRENT):$(LIBGUDEV_REVISION):$(LIBGUDEV_AGE) \
 	-export-dynamic -no-undefined \
 	-export-symbols-regex '^g_udev_.*'
@@ -165,16 +152,6 @@ libudev_mm_test_libudev_mm_SOURCES = lib
 libudev_mm_test_libudev_mm_LDADD = libudev-mm/libudev-mm.la
 
 
-# ------------------------------------------------------------------------------
-# Conditionals (SElinux, etc…)
-# ------------------------------------------------------------------------------
-if WITH_SELINUX
-libudev_mm_libudev_mm_private_la_SOURCES += \
-	libudev-mm/libudev-mm-selinux-private.c
-libudev_mm_libudev_mm_private_la_LIBADD += \
-	$(SELINUX_LIBS)
-endif
-
 if ENABLE_EXTRAS
 # ------------------------------------------------------------------------------
 # conditional extras (need glib, libusb, ...)
@@ -184,7 +161,7 @@ dist_udevrules_DATA = \
         rules/rules.d/75-tty-description.rules
 
 
-lib_LTLIBRARIES += extras/gudev/libgudev-1.0.la
+lib_LTLIBRARIES += extras/gudev/libgudev-mm-1.0.la
 
 BUILT_SOURCES += \
 	$(dist_extras_gudev_libgudev_1_0_la_SOURCES)
@@ -193,7 +170,7 @@ CLEANFILES +=
 
 dist_doc_DATA =
 
-libgudev_includedir=$(includedir)/gudev-1.0/gudev
+libgudev_includedir=$(includedir)/gudev-mm-1.0/gudev
 libgudev_include_HEADERS = \
 	extras/gudev/gudev.h \
 	extras/gudev/gudevenums.h \
@@ -202,7 +179,7 @@ libgudev_include_HEADERS = \
 	extras/gudev/gudevclient.h \
 	extras/gudev/gudevdevice.h
 
-pkgconfig_DATA += extras/gudev/gudev-1.0.pc
+pkgconfig_DATA += extras/gudev/gudev-mm-1.0.pc
 
 SUBDIRS += extras/gudev/docs
 endif
@@ -267,13 +244,13 @@ extras/gudev/gudevenumtypes.c: extras/gu
 	$(AM_V_GEN)glib-mkenums --template $^ > \
 	    $@.tmp && mv $@.tmp $@
 
-extras/gudev/GUdev-1.0.gir: extras/gudev/libgudev-1.0.la $(G_IR_SCANNER) Makefile.am
+extras/gudev/GUdev-1.0.gir: extras/gudev/libgudev-mm-1.0.la $(G_IR_SCANNER) Makefile.am
 	$(AM_V_GEN)PKG_CONFIG_PATH=$(top_builddir)/data:$$PKG_CONFIG_PATH \
 	$(G_IR_SCANNER) -v \
 		--namespace GUdev \
 		--nsversion=1.0 \
 		--include=GObject-2.0 \
-		--library=gudev-1.0 \
+		--library=gudev-mm-1.0 \
 		--library-path=extras/gudev \
 		--output $@ \
 		--pkg=glib-2.0 \
Index: udev-146/extras/gudev/gudev-1.0.pc.in
===================================================================
--- udev-146.orig/extras/gudev/gudev-1.0.pc.in
+++ /dev/null
@@ -1,11 +0,0 @@
-prefix=@prefix@
-exec_prefix=@exec_prefix@
-libdir=@libdir@
-includedir=@includedir@
-
-Name: gudev-1.0
-Description: GObject bindings for libudev
-Version: @VERSION@
-Requires: glib-2.0, gobject-2.0
-Libs: -L${libdir} -lgudev-1.0
-Cflags: -I${includedir}/gudev-1.0
Index: udev-146/extras/gudev/gudev-mm-1.0.pc.in
===================================================================
--- /dev/null
+++ udev-146/extras/gudev/gudev-mm-1.0.pc.in
@@ -0,0 +1,11 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: gudev-mm-1.0
+Description: GObject bindings for libudev-mm which for new ModemManager
+Version: @VERSION@
+Requires: glib-2.0, gobject-2.0
+Libs: -L${libdir} -lgudev-mm-1.0
+Cflags: -I${includedir}/gudev-mm-1.0
Index: udev-146/configure.ac
===================================================================
--- udev-146.orig/configure.ac
+++ udev-146/configure.ac
@@ -98,7 +98,7 @@ AC_CONFIG_FILES([
 	libudev-mm/docs/Makefile
 	libudev-mm/docs/version.xml
 	udev/udev.pc
-	extras/gudev/gudev-1.0.pc
+	extras/gudev/gudev-mm-1.0.pc
 	extras/gudev/docs/Makefile
 	extras/gudev/docs/version.xml
 ])
Index: udev-146/extras/gudev/docs/Makefile.am
===================================================================
--- udev-146.orig/extras/gudev/docs/Makefile.am
+++ udev-146/extras/gudev/docs/Makefile.am
@@ -9,13 +9,13 @@ AUTOMAKE_OPTIONS = 1.10
 # of using the various options.
 
 # The name of the module, e.g. 'glib'.
-DOC_MODULE=gudev
+DOC_MODULE=gudev-mm
 
 # Uncomment for versioned docs and specify the version of the module, e.g. '2'.
 #DOC_MODULE_VERSION=2
 
 # The top-level SGML file. You can change this if you want to.
-DOC_MAIN_SGML_FILE=$(DOC_MODULE)-docs.xml
+DOC_MAIN_SGML_FILE=gudev-docs.xml
 
 # The directory containing the source code. Relative to $(srcdir).
 # gtk-doc will search all .c & .h files beneath here for inline comments
Index: udev-146/extras/gudev/gudev-mm-1.0.pc
===================================================================
--- /dev/null
+++ udev-146/extras/gudev/gudev-mm-1.0.pc
@@ -0,0 +1,11 @@
+prefix=/usr
+exec_prefix=${prefix}
+libdir=/lib
+includedir=${prefix}/include
+
+Name: gudev-mm-1.0
+Description: GObject bindings for libudev-mm which for new ModemManager
+Version: 146
+Requires: glib-2.0, gobject-2.0
+Libs: -L${libdir} -lgudev-mm-1.0
+Cflags: -I${includedir}/gudev-mm-1.0
Index: udev-146/libudev-mm/libudev-mm-private.h
===================================================================
--- udev-146.orig/libudev-mm/libudev-mm-private.h
+++ udev-146/libudev-mm/libudev-mm-private.h
@@ -98,11 +98,6 @@ int udev_device_get_watch_handle(struct
 int udev_device_set_watch_handle(struct udev_device *udev_device, int handle);
 void udev_device_set_info_loaded(struct udev_device *device);
 
-/* libudev-device-private.c */
-int udev_device_update_db(struct udev_device *udev_device);
-int udev_device_delete_db(struct udev_device *udev_device);
-int udev_device_rename_db(struct udev_device *udev_device, const char *devpath);
-
 /* libudev-monitor.c - netlink/unix socket communication  */
 int udev_monitor_disconnect(struct udev_monitor *udev_monitor);
 int udev_monitor_allow_unicast_sender(struct udev_monitor *udev_monitor, struct udev_monitor *sender);
@@ -110,34 +105,6 @@ int udev_monitor_send_device(struct udev
 			     struct udev_monitor *destination, struct udev_device *udev_device);
 int udev_monitor_set_receive_buffer_size(struct udev_monitor *udev_monitor, int size);
 
-/* libudev-ctrl.c - daemon runtime setup */
-struct udev_ctrl;
-struct udev_ctrl *udev_ctrl_new_from_socket(struct udev *udev, const char *socket_path);
-int udev_ctrl_enable_receiving(struct udev_ctrl *uctrl);
-struct udev_ctrl *udev_ctrl_ref(struct udev_ctrl *uctrl);
-void udev_ctrl_unref(struct udev_ctrl *uctrl);
-struct udev *udev_ctrl_get_udev(struct udev_ctrl *uctrl);
-int udev_ctrl_get_fd(struct udev_ctrl *uctrl);
-int udev_ctrl_send_set_log_level(struct udev_ctrl *uctrl, int priority);
-int udev_ctrl_send_stop_exec_queue(struct udev_ctrl *uctrl);
-int udev_ctrl_send_start_exec_queue(struct udev_ctrl *uctrl);
-int udev_ctrl_send_reload_rules(struct udev_ctrl *uctrl);
-int udev_ctrl_send_settle(struct udev_ctrl *uctrl);
-int udev_ctrl_send_set_env(struct udev_ctrl *uctrl, const char *key);
-int udev_ctrl_send_set_max_childs(struct udev_ctrl *uctrl, int count);
-struct udev_ctrl_msg;
-struct udev_ctrl_msg *udev_ctrl_msg(struct udev_ctrl *uctrl);
-struct udev_ctrl_msg *udev_ctrl_receive_msg(struct udev_ctrl *uctrl);
-struct udev_ctrl_msg *udev_ctrl_msg_ref(struct udev_ctrl_msg *ctrl_msg);
-void udev_ctrl_msg_unref(struct udev_ctrl_msg *ctrl_msg);
-int udev_ctrl_get_set_log_level(struct udev_ctrl_msg *ctrl_msg);
-int udev_ctrl_get_stop_exec_queue(struct udev_ctrl_msg *ctrl_msg);
-int udev_ctrl_get_start_exec_queue(struct udev_ctrl_msg *ctrl_msg);
-int udev_ctrl_get_reload_rules(struct udev_ctrl_msg *ctrl_msg);
-pid_t udev_ctrl_get_settle(struct udev_ctrl_msg *ctrl_msg);
-const char *udev_ctrl_get_set_env(struct udev_ctrl_msg *ctrl_msg);
-int udev_ctrl_get_set_max_childs(struct udev_ctrl_msg *ctrl_msg);
-
 /* libudev-list.c */
 struct udev_list_node {
 	struct udev_list_node *next, *prev;
@@ -170,20 +137,6 @@ void udev_list_entry_set_flag(struct ude
 	     entry != NULL; \
 	     entry = tmp, tmp = udev_list_entry_get_next(tmp))
 
-/* libudev-queue.c */
-unsigned long long int udev_get_kernel_seqnum(struct udev *udev);
-int udev_queue_read_seqnum(FILE *queue_file, unsigned long long int *seqnum);
-ssize_t udev_queue_read_devpath(FILE *queue_file, char *devpath, size_t size);
-ssize_t udev_queue_skip_devpath(FILE *queue_file);
-
-/* libudev-queue-private.c */
-struct udev_queue_export *udev_queue_export_new(struct udev *udev);
-void udev_queue_export_unref(struct udev_queue_export *udev_queue_export);
-void udev_queue_export_cleanup(struct udev_queue_export *udev_queue_export);
-int udev_queue_export_device_queued(struct udev_queue_export *udev_queue_export, struct udev_device *udev_device);
-int udev_queue_export_device_finished(struct udev_queue_export *udev_queue_export, struct udev_device *udev_device);
-int udev_queue_export_device_failed(struct udev_queue_export *udev_queue_export, struct udev_device *udev_device);
-
 /* libudev-util.c */
 #define UTIL_PATH_SIZE				1024
 #define UTIL_LINE_SIZE				2048
@@ -206,29 +159,4 @@ int udev_util_encode_string(const char *
 void util_set_fd_cloexec(int fd);
 unsigned int util_string_hash32(const char *str);
 
-/* libudev-util-private.c */
-int util_create_path(struct udev *udev, const char *path);
-int util_delete_path(struct udev *udev, const char *path);
-int util_unlink_secure(struct udev *udev, const char *filename);
-uid_t util_lookup_user(struct udev *udev, const char *user);
-gid_t util_lookup_group(struct udev *udev, const char *group);
-int util_run_program(struct udev *udev, const char *command, char **envp,
-		     char *result, size_t ressize, size_t *reslen);
-int util_resolve_subsys_kernel(struct udev *udev, const char *string,
-				      char *result, size_t maxsize, int read_value);
-
-/* libudev-selinux-private.c */
-#ifndef WITH_SELINUX
-static inline void udev_selinux_init(struct udev *udev) {}
-static inline void udev_selinux_exit(struct udev *udev) {}
-static inline void udev_selinux_lsetfilecon(struct udev *udev, const char *file, unsigned int mode) {}
-static inline void udev_selinux_setfscreatecon(struct udev *udev, const char *file, unsigned int mode) {}
-static inline void udev_selinux_resetfscreatecon(struct udev *udev) {}
-#else
-void udev_selinux_init(struct udev *udev);
-void udev_selinux_exit(struct udev *udev);
-void udev_selinux_lsetfilecon(struct udev *udev, const char *file, unsigned int mode);
-void udev_selinux_setfscreatecon(struct udev *udev, const char *file, unsigned int mode);
-void udev_selinux_resetfscreatecon(struct udev *udev);
-#endif
 #endif
Index: udev-146/libudev-mm/exported_symbols
===================================================================
--- udev-146.orig/libudev-mm/exported_symbols
+++ udev-146/libudev-mm/exported_symbols
@@ -60,15 +60,3 @@ udev_monitor_receive_device
 udev_monitor_filter_add_match_subsystem_devtype
 udev_monitor_filter_update
 udev_monitor_filter_remove
-udev_queue_new
-udev_queue_ref
-udev_queue_unref
-udev_queue_get_udev
-udev_queue_get_kernel_seqnum
-udev_queue_get_udev_seqnum
-udev_queue_get_udev_is_active
-udev_queue_get_queue_is_empty
-udev_queue_get_seqnum_is_finished
-udev_queue_get_seqnum_sequence_is_finished
-udev_queue_get_queued_list_entry
-udev_queue_get_failed_list_entry
